## hw-detect 1.22ubuntu3

=== Makefile ===
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif

CC = gcc
CFLAGS = -Wall -O2 -g
CFLAGS_ARCH = -DARCH=$(DEB_HOST_ARCH) -DCPU=$(DEB_HOST_ARCH_CPU) -DCPU_TEXT='"$(DEB_HOST_ARCH)"' -DSYSTEM=$(DEB_HOST_ARCH_OS)

bindir=$(DESTDIR)/bin/
hpdir=$(DESTDIR)/etc/hotplug.d
didir=$(DESTDIR)/lib/debian-installer.d
pbcdir=$(DESTDIR)/usr/lib/prebaseconfig.d
cpdir=$(DESTDIR)/usr/lib/casper/pre.d

INSTALL=install
INSTALL_DATA = ${INSTALL} -m 644

all: archdetect

clean:
	rm -f *~
	rm -f *.o
	rm -f archdetect

install: install-hw-detect install-ethdetect install-disk-detect install-archdetect install-archdetect-deb

install-hw-detect: hw-detect.sh
	$(INSTALL) -d $(bindir)
ifeq ($(DEB_HOST_ARCH_OS),linux)
	$(INSTALL) hw-detect.sh $(bindir)/hw-detect
	$(INSTALL) hotplug-pcmcia.sh $(bindir)/hotplug-pcmcia
	$(INSTALL) sysfs-update-devnames.sh $(bindir)/sysfs-update-devnames
	$(INSTALL) -d $(hpdir)/net
	$(INSTALL) net-hotplug.sh $(hpdir)/net/ddetect.hotplug
	$(INSTALL) -d $(pbcdir)
	$(INSTALL) hw-detect.prebaseconfig $(pbcdir)/30hw-detect
	$(INSTALL) -d $(cpdir)
	ln -s ../../prebaseconfig.d/30hw-detect $(cpdir)/30hw-detect
ifeq ($(DEB_HOST_ARCH),powerpc)
	$(INSTALL) discover-mac-io.sh $(bindir)/discover-mac-io
	$(INSTALL) discover-rs6k.sh $(bindir)/discover-rs6k
endif
else
	$(INSTALL) detect-stub.sh $(bindir)/hw-detect
endif

install-disk-detect:

install-ethdetect: ethdetect.sh
	$(INSTALL) -d $(bindir)
	$(INSTALL) ethdetect.sh $(bindir)/ethdetect

install-disk-detect: disk-detect.sh
	$(INSTALL) -d $(bindir)
	$(INSTALL) disk-detect.sh $(bindir)/disk-detect

install-archdetect: archdetect
	$(INSTALL) -d $(bindir)
	$(INSTALL) archdetect $(bindir)

install-archdetect-deb: archdetect
	$(INSTALL) -d $(bindir)
	$(INSTALL) archdetect $(bindir)

archdetect: archdetect.o 
	${CC} ${LDFLAGS} -o $@ $^ -ldebian-installer

archdetect.o: %.o:%.c
	$(CC) $(CFLAGS) $(CFLAGS_ARCH) -c $<

=== debian/changelog ===
hw-detect (1.22ubuntu3) breezy; urgency=low

  * Sparc only change: remove sunlance, sunbmac and sunqe autoprobe.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Sat, 01 Oct 2005 17:29:03 +0200

hw-detect (1.22ubuntu2) breezy; urgency=low

  * Sparc only change: be sure to load modules for devices that can be on sbus
    (not hotplug friendly yet)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 29 Sep 2005 15:45:59 +0200

hw-detect (1.22ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Jul 2005 16:30:32 +0100

hw-detect (1.22) unstable; urgency=low

  [ Joey Hess ]
  * Robustness fix in apply_pcmcia_resource_opts: ignore incomplete user input

  [ Colin Watson ]
  * Most of archdetect moved to libdebian-installer so that it can be used
    by other C code in d-i more conveniently. Use di_system_subarch_analyze
    from there.

  * Updated translations:
    - German (de.po) by Dennis Stampfer
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Macedonian (mk.po) by Georgi Stanojevski
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Russian (ru.po) by Yuri Kozlov
    - Slovenian (sl.po) by Jure Čuhalev
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jul 2005 10:59:46 +0100

hw-detect (1.21ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jul 2005 14:43:23 +0100

hw-detect (1.21) unstable; urgency=low

  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Arief S Fitrianto
    - Japanese (ja.po) by Kenshi Muto
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Tagalog (tl.po) by Eric Pareja
    - Wolof (wo.po) by Mouhamadou Mamoune Mbacke
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Jul 2005 16:52:02 +0300

hw-detect (1.20) unstable; urgency=low

  [ Joey Hess ]
  * Remove the missing modules warning, which was confusing to users and only
    useful for debugging. Missing modules are still logged, and d-i already 
    handles helping the user with important undeteted hardware (ethernet,
    cdrom, disk).
  
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Guillem Jover
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Basque (eu.po) by Piarres Beobide
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by Jacobo Tarrio
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrişor
    - Slovak (sk.po) by Peter Mann
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Jun 2005 17:09:55 -0400

hw-detect (1.19) unstable; urgency=low

  * Colin Watson
    - Don't install pcmcia-cs if hw-detect/start_pcmcia=false; at least on
      2.6 kernels, the /sys nodes can end up being present even if PCMCIA
      hasn't been started (Ubuntu bug #8678).
    - Fix DEB_HOST_ARCH_* compatibility code to handle the various special
      cases.
  * Joey Hess
    - Rename hw-detect-full to disk-detect.
    - Add a disk-detect command, which uses hw-detect to load any additional
      drivers, as hw-detect-full did, but which also checks to see if any
      disks were found, and if none are, allows the user to select driver
      modules from a list, or load more from a floppy. Closes: #283193
    - disk-detect will use partman's parted_devices command if available to
      see if any disks are found. Otherwise it falls back to a devfs find
      similar to that used by partitioner and autopartkit. This is probably
      good enough, but partman could be extended for network filesystems or
      something else and disk-detect's check would not know about it.
    - Move retry_params template to hw-detect so disk-detect can use it too.
      hw-detect might also use it in the future. Same with load_floppy
      template.
    - Remove ethdetect/modprobe_error template, as it's identical to
      hw-detect/modprobe_error. Use the latter in ethdetect.
    - Direct some modprobe output to /var/log/messages in ethdetect as is done
      in hw-detect.
    - Add a cleanup function to ethdetect.
    - Rename the source package as it's going through NEW anyway.
  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Eddy Petrişor

 -- Joey Hess <joeyh@debian.org>  Fri, 17 Jun 2005 23:06:58 -0400

ddetect (1.18ubuntu2) breezy; urgency=low

  * Don't register ide-* modules; hotplug is responsible for loading them
    now (closes: Ubuntu #9099).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Jun 2005 12:59:14 +0100

ddetect (1.18ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  7 Jun 2005 21:07:06 +0100

ddetect (1.18) unstable; urgency=low

  * Joey Hess
    - archdetect postinst removed
    - debian-installer/kernel/subarchitecture is no longer supported,
      just run archdetect instead.
    - remove archdetect-deb binary and source as it and archdetect are now
      identical
  * Colin Watson
    - Use DEB_HOST_ARCH_* variables if available so that we work correctly
      with dpkg 1.13.
    - hw-detect and ethdetect are entirely Linux-specific, so make them do
      nothing on the Hurd for now.
    - Make discover | hotplug-udeb dependency Linux-specific.
    - No longer build-depend on libdebconfclient0-dev, due to archdetect
      change.
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Czech (cs.po) by Miroslav Kure


=== debian/control ===
Source: hw-detect
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Joshua Kwan <joshk@triplehelix.org>, Matt Kraai <kraai@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.31)
Standards-Version: 3.6.1.0

Package: hw-detect
XC-Package-Type: udeb
Architecture: any
Depends: ${hw-detect:discover}, rootskel (>= 0.54), archdetect, cdebconf-udeb (>= 0.75), pciutils-udeb
Description: Detect hardware and load kernel drivers for it

Package: ethdetect
XC-Package-Type: udeb
Architecture: all
Priority: optional
Depends: cdebconf-udeb (>= 0.38), hw-detect, pciutils-udeb
Provides: ethernet-card-detection
XB-Installer-Menu-Item: 15
Description: Detect network hardware and load kernel drivers for it

Package: disk-detect
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect, pciutils-udeb
Priority: optional
Provides: harddrive-detection
Enhances: hw-detect
XB-Installer-Menu-Item: 35
Description: Detect disk drives

Package: archdetect
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: Hardware architecture detector

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -W -Wall -Os
export CFLAGS

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
discover := discover | hotplug-udeb
else
discover :=
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	grep -v '^#' devnames.txt | gzip -9c > devnames.gz
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp devnames.gz
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(foreach PACKAGE, $(shell dh_listpackages), \
	  $(MAKE) install-$(PACKAGE) DESTDIR=$(CURDIR)/debian/$(PACKAGE);)
	cp devnames.gz debian/ethdetect/etc/network/ 

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a -- -V'hw-detect:discover=$(discover)'
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## hw-detect 1.32ubuntu8

=== Makefile ===
--- 
+++ 
@@ -22,9 +22,10 @@
 
 bindir=$(DESTDIR)/bin/
 hpdir=$(DESTDIR)/etc/hotplug.d
+udevdir=$(DESTDIR)/etc/udev/rules.d
 didir=$(DESTDIR)/lib/debian-installer.d
 pbcdir=$(DESTDIR)/usr/lib/prebaseconfig.d
-cpdir=$(DESTDIR)/usr/lib/casper/pre.d
+sharedir=$(DESTDIR)/usr/share/hw-detect/
 
 INSTALL=install
 INSTALL_DATA = ${INSTALL} -m 644
@@ -44,15 +45,20 @@
 	$(INSTALL) hw-detect.sh $(bindir)/hw-detect
 	$(INSTALL) hotplug-pcmcia.sh $(bindir)/hotplug-pcmcia
 	$(INSTALL) sysfs-update-devnames.sh $(bindir)/sysfs-update-devnames
+	$(INSTALL) -d $(udevdir)
+	$(INSTALL_DATA) net-hotplug.rules $(udevdir)/010_net-hotplug.rules
 	$(INSTALL) -d $(hpdir)/net
-	$(INSTALL) net-hotplug.sh $(hpdir)/net/ddetect.hotplug
+	$(INSTALL) net-hotplug.sh $(hpdir)/net/hw-detect.hotplug
 	$(INSTALL) -d $(pbcdir)
 	$(INSTALL) hw-detect.prebaseconfig $(pbcdir)/30hw-detect
-	$(INSTALL) -d $(cpdir)
-	ln -s ../../prebaseconfig.d/30hw-detect $(cpdir)/30hw-detect
 ifeq ($(DEB_HOST_ARCH),powerpc)
 	$(INSTALL) discover-mac-io.sh $(bindir)/discover-mac-io
-	$(INSTALL) discover-rs6k.sh $(bindir)/discover-rs6k
+	$(INSTALL) discover-ibm.sh $(bindir)/discover-ibm
+endif
+ifeq ($(DEB_HOST_ARCH),sparc)
+	$(INSTALL) discover-sbus.sh $(bindir)/discover-sbus
+	$(INSTALL) -d $(sharedir)
+	$(INSTALL_DATA) sbus.list $(sharedir)/sbus.list
 endif
 else
 	$(INSTALL) detect-stub.sh $(bindir)/hw-detect

=== debian/changelog ===
hw-detect (1.32ubuntu8) dapper-proposed; urgency=low

  * Backport from trunk (LP: #22220):
    - Offer disk devices from drivers/message/fusion and
      drivers/message/i2o.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Aug 2007 10:31:38 +0100

hw-detect (1.32ubuntu7) dapper-updates; urgency=low

  * Backport from trunk (Frans Pop):
    - Add support for detecting sbus devices on sparc now that we are not
      using discover anymore. May need to be extended to also add the
      drivers to the initramfs initrd or /etc/modules. Uses prtconf from
      sparc-utils-udeb.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 23 Jun 2006 09:30:00 +0200

hw-detect (1.32ubuntu6) dapper; urgency=low

  * Backport from trunk:
    - Fix sysfs-update-devnames not to try to use 'local' outside a
      function, which bash doesn't like.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  8 May 2006 11:48:09 +0100

hw-detect (1.32ubuntu5) dapper; urgency=low

  * Take floppy back out of /etc/modules; turns out the kernel's PnP
    subsystem is broken.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  2 Mar 2006 13:11:19 +0000

hw-detect (1.32ubuntu4) dapper; urgency=low

  * Add floppy to /etc/modules (closes: Malone #32599).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Feb 2006 11:03:44 +0000

hw-detect (1.32ubuntu3) dapper; urgency=low

  * Remove old hack to register specific sparc modules.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 24 Feb 2006 11:28:14 +0100

hw-detect (1.32ubuntu2) dapper; urgency=low

  * Stop registering mousedev, which is built into the kernel now.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  2 Feb 2006 18:15:21 +0000

hw-detect (1.32ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Drop casper symlinks, no longer required following casper's
    reimplementation as initramfs hooks.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Jan 2006 01:06:30 +0000

hw-detect (1.32) unstable; urgency=low

  * I observed a scsi disk that required three seconds from the end of
    hw-detect until the kernel brought it up. (This may have involved udev,
    not sure). Try to deal with this kind of race slightly better in
    disk-detect by probing a few times with short pauses before concluding
    that there is no disk.

  [ Updated translations ]
  * Catalan (ca.po) by Guillem Jover
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Finnish (fi.po) by Tapio Lehtonen
  * Swedish (sv.po) by Daniel Nylander
  * Vietnamese (vi.po) by Clytie Siddall

 -- Joey Hess <joeyh@debian.org>  Mon,  2 Jan 2006 21:15:56 -0500

hw-detect (1.31) unstable; urgency=low

  * If d-i is using pcmciautils-udeb instead of pcmcia-cs-udeb (needed on
    2.6.13 kernels), then install pcmciautils as well as pcmcia-cs.
  * The new update-dev that handles udev has been around for a while, so
    drop old calls to udevstart/udevsynthesize.
  * Install discover1 in /target even if d-i is using udev, since X's
    maintainer scripts need discover.

  [ Updated translations ]
  * Galician (gl.po) by Jacobo Tarrio
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Slovenian (sl.po) by Jure Čuhalev

 -- Colin Watson <cjwatson@debian.org>  Sun, 25 Dec 2005 15:12:11 +0000

hw-detect (1.30) unstable; urgency=low

  * udebs are not allowed to have ORed deps (and it was adding cruft to the
    build) so remove the discover/udev deps entirely. It would be better to
    use a depends on something provided by both packages, but these deps are
    not really needed since both hw-detect and one or the other is part of the
    d-i base system.

 -- Joey Hess <joeyh@debian.org>  Sat,  3 Dec 2005 12:55:10 -0500

hw-detect (1.29ubuntu2) dapper; urgency=low

  * Replace another udevsynthesize call with update-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  5 Dec 2005 22:50:30 +0000

hw-detect (1.29ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Depend on udev-udeb ahead of discover to make sure germinate doesn't get
    confused.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  2 Dec 2005 11:31:56 +0000

hw-detect (1.29) unstable; urgency=low

  * Add udev-udeb as alternate dependency for discover.

  [ Updated translations ]
  * Latvian (lv.po) by Aigars Mahinovs

 -- Colin Watson <cjwatson@debian.org>  Fri,  2 Dec 2005 10:38:29 +0000

hw-detect (1.28ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  1 Dec 2005 13:26:37 +0000

hw-detect (1.28) unstable; urgency=low

  [ Frans Pop ]
  * Drop dependency on hotplug-udeb for hw-detect as there's no such thing.
  * ethdetect.sh: avoid grep error if /etc/network/devnames doesn't exist.

  [ Colin Watson ]
  * Rename /etc/network/devnames.gz to /etc/network/devnames-static.gz to
    avoid confusion with /etc/network/devnames (closes: #340919).
  * Consider HOTPLUG_TYPE as udev if the hotplug handler is empty (i.e.
    udevd is listening for events on a netlink socket).

  [ Updated translations ]
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Russian (ru.po) by Yuri Kozlov

 -- Colin Watson <cjwatson@debian.org>  Thu,  1 Dec 2005 13:04:27 +0000

hw-detect (1.27) unstable; urgency=low

  * If we're running with udev, apt-install udev rather than hotplug.

  [ Updated translations ]
  * French (fr.po) by Christian Perrier
  * Japanese (ja.po) by Kenshi Muto
  * Romanian (ro.po) by Eddy Petrişor

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Nov 2005 21:16:15 +0000

hw-detect (1.26ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2005 13:03:49 +0000

hw-detect (1.26) unstable; urgency=low

  [ Colin Watson ]
  * If udevstart is missing, try udevsynthesize instead to try to get udev
    to create pending device nodes.

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Nov 2005 18:30:21 -0500

hw-detect (1.25) unstable; urgency=low

  [ Colin Watson ]
  * If we're using coldplugging udev rather than hotplug, run udevsynthesize


=== debian/rules ===
--- 
+++ 
@@ -13,23 +13,17 @@
   endif
 endif
 
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-discover := discover | hotplug-udeb
-else
-discover :=
-endif
-
 build: build-stamp
 build-stamp:
 	dh_testdir
 	$(MAKE)
-	grep -v '^#' devnames.txt | gzip -9c > devnames.gz
+	grep -v '^#' devnames-static.txt | gzip -9c > devnames-static.gz
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp devnames.gz
+	rm -f build-stamp devnames-static.gz
 	-$(MAKE) clean
 	dh_clean
 
@@ -40,7 +34,7 @@
 	dh_installdirs
 	$(foreach PACKAGE, $(shell dh_listpackages), \
 	  $(MAKE) install-$(PACKAGE) DESTDIR=$(CURDIR)/debian/$(PACKAGE);)
-	cp devnames.gz debian/ethdetect/etc/network/ 
+	cp devnames-static.gz debian/ethdetect/etc/network/ 
 
 binary-indep: build install
 	dh_testdir
@@ -62,7 +56,7 @@
 	dh_fixperms -a
 	dh_installdeb -a
 	dh_shlibdeps -a
-	dh_gencontrol -a -- -V'hw-detect:discover=$(discover)'
+	dh_gencontrol -a
 	dh_builddeb -a
 
 binary: binary-indep binary-arch

## hw-detect 1.41ubuntu2

=== debian/changelog ===
hw-detect (1.41ubuntu2) edgy; urgency=low

  * Backport from trunk:
    - Use list-devices to check for disks if parted_devices if unavailable.
      Requires di-utils 1.33.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Aug 2006 11:13:10 +0100

hw-detect (1.41ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Aug 2006 10:25:30 +0100

hw-detect (1.41) unstable; urgency=low

  [ Colin Watson ]
  * Install pcmciautils on 2.6 installs even if pcmcia-cs-udeb is present
    for some reason (closes: #381863).

  [ Frans Pop ]
  * Remove standards-version and add Lintian override for it.

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino Peña

 -- Frans Pop <fjp@debian.org>  Sun, 20 Aug 2006 01:10:14 +0200

hw-detect (1.40) unstable; urgency=low

  [ Joey Hess ]
  * Only install discover into /target if udev is not being used. The only
    user of discover on 2.6 systems is X, which gets it installed via the
    desktop task preinst.

  [ Frans Pop ]
  * discover-mac-io.sh: snd-powermac can lock up G5 iMac and Power Mac.
    Patch proposed by Colin Watson. Closes: #380082.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Sun, 30 Jul 2006 01:39:50 +0200

hw-detect (1.39) unstable; urgency=low

  [ Frans Pop ]
  * Only ask FireWire question if a FireWire interface is actually present.

  [ Colin Watson ]
  * Fix disk_found to return 1 (no disks found) if it falls off the end of
    its loop.
  * If /proc/sys/kernel/hotplug is empty or /sbin/udevsend, then
    HOTPLUG_TYPE is always udev even if /etc/hotplug is present (closes:
    https://launchpad.net/bugs/53400).

  [ Otavio Salvador ]
  * Install pbbuttonsd if /sys/class/misc/pmu/ is found. Closes: #379197

  [ Updated translations ]
  * Estonian (et.po) by Siim Põder
  * Gujarati (gu.po) by Kartik Mistry
  * Hungarian (hu.po) by SZERVÁC Attila
  * Dutch (nl.po) by Bart Cornelis
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Tue, 25 Jul 2006 13:04:38 +0200

hw-detect (1.38ubuntu3) edgy; urgency=low

  * If /proc/sys/kernel/hotplug is empty or /sbin/udevsend, then
    HOTPLUG_TYPE is always udev even if /etc/hotplug is present (closes:
    Malone #53400).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Jul 2006 07:35:48 +0100

hw-detect (1.38ubuntu2) edgy; urgency=low

  * Backport from trunk:
    - Fix disk_found to return 1 (no disks found) if it falls off the end of
      its loop.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jul 2006 15:29:49 +0100

hw-detect (1.38ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Jun 2006 13:21:11 +0100

hw-detect (1.38) unstable; urgency=low

  * Change ethdetect menu item number from 15 to 18. cdrom-detect, load-iso,
    load-cdrom, ethdetect, and s390-netdevice are all changed due to this and
    should transition together.
    Closes: #373097

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Jun 2006 20:31:08 -0400

hw-detect (1.37) unstable; urgency=low

  * prebaseconfig transition

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jun 2006 22:02:51 -0400

hw-detect (1.36) unstable; urgency=low

  [ Frans Pop ]
  * devnames-static.txt: update descriptions for some Sun Ethernet devices.

  [ Joey Hess ]
  * Remove code for i8042 and atkbd on powerpc, has been in rootskel for a
    long time.
  * Only register the psmouse module for 2.4 kernels, udev will handle it for
    2.6.
  * Only register ide-detect, ide-cd, and ide-disk for 2.4, ditto.
  * Only register sr_mod and sd_mod for 2.4 as well.

  [ Christian Perrier ]
  * Split Choices fields in debconf templates. Will minimize translators errors.

  [ Colin Watson ]
  * Fix sysfs-update-devnames not to try to use 'local' outside a function,
    which bash doesn't like.
  * Use /etc/init.d/pcmciautils if available, so that pcmciautils-udeb and
    pcmcia-cs-udeb don't have to contain the same file (and thus break if
    pcmcia-cs-udeb accidentally gets unpacked into a 2.6 installer).

  [ Joey Hess ]
  * Removed some unnecessary and/or redundant debugging lines.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po)
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Georgian (ka.po) by Aiet Kolkhi
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Pokharel
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall

 -- Colin Watson <cjwatson@debian.org>  Wed,  7 Jun 2006 01:20:20 +0100

hw-detect (1.35) unstable; urgency=low

  * hwdetect.sh: look in /proc/modules instead of using lsmod.
  * discover-sbus: queue SCSI sbus modules for inclusion in initrd and NIC


## hw-detect 1.45ubuntu5

=== debian/changelog ===
hw-detect (1.45ubuntu5) feisty; urgency=low

  * Don't install mouseemu on powerpc64 for now; it causes a kernel oops
    somewhere in the input layer (thanks, Benjamin Herrenschmidt).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 15 Apr 2007 10:06:28 +0100

hw-detect (1.45ubuntu4) feisty; urgency=low

  * Load ps3_storage and gelic_net on powerpc/ps3 systems. (The initramfs
    will take care of loading them on the installed system.)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Apr 2007 03:10:38 +0100

hw-detect (1.45ubuntu3) feisty; urgency=low

  * Add snd_ps3 to /etc/modules on powerpc/ps3 systems.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Mar 2007 17:59:32 +0100

hw-detect (1.45ubuntu2) feisty; urgency=low

  * Install mouseemu on systems likely to have single-button mice (i.e.
    Macs).
  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Feb 2007 14:59:32 +0000

hw-detect (1.45ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - Depend on pciutils-udeb for lspci.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Dec 2006 14:07:25 +0000

hw-detect (1.45) unstable; urgency=low

  * Add sbus-discover back in as sysfs support for sbus turns out to be
    incomplete. Closes: #402102,

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Russian (ru.po) by Yuri Kozlov
  * Slovenian (sl.po) by Matej Kovačič

 -- Frans Pop <fjp@debian.org>  Mon, 11 Dec 2006 08:41:58 +0100

hw-detect (1.44) unstable; urgency=low

  * Remove sbus-discover now that the kernel has sysfs support for sbus
    devices.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Esperanto (eo.po) by Serge Leblanc
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by rizoye-xerzi
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by A S Alam
  * Romanian (ro.po) by Eddy Petrișor
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Thu, 30 Nov 2006 15:33:36 +0100

hw-detect (1.43ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - Depend on pciutils-udeb for lspci.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Nov 2006 12:01:12 +0000

hw-detect (1.43) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Andrei Darashenka
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Khmer (km.po) by Khoem Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Romanian (ro.po) by Eddy Petrișor
  * Albanian (sq.po) by Elian Myftiu
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 14:54:27 +0200

hw-detect (1.42) unstable; urgency=low

  [ Colin Watson ]
  * Improve sbus detection based on a scan of kernel code:
    - qlogic_isp has been renamed to qlogicpti.
    - Better sunlance, sunhme, esp, and qlogicpti detection.
    - Add sunbmac detection.
    - David Miller says that espdma is unnecessary for esp detection.
  * Use list-devices to check for disks if parted_devices if unavailable.
    Requires di-utils 1.33.

  [ Joey Hess ]
  * Finally install libc6-i686, if the machine's CPU can support it.
    Libc guys tell me this is safe enough that it should be the default.
  * Patch from Aurelien Jarno to install libc6-sparcv9[b] if the CPU supports
    it.
  * Improve wording of the pcmcia question.

  [ Joshua Kwan ]
  * Remove myself from Uploaders, I seriously lack the time for this..

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis


## hw-detect 1.50

=== debian/changelog ===
hw-detect (1.50) unstable; urgency=low

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Malayalam (ml.po) by Praveen A
  * Swedish (sv.po) by Daniel Nylander
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 16:49:26 +0100

hw-detect (1.49) unstable; urgency=low

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:35:05 +0100

hw-detect (1.48) unstable; urgency=low

  * hw-detect.sh: [hppa] make sure initramfs-tools will load scsi modules for
    controlers on a native HP bus. Closes: #406735.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Frans Pop <fjp@debian.org>  Wed, 24 Jan 2007 02:14:10 +0100

hw-detect (1.47) unstable; urgency=low

  * sysfs-update-devnames.sh
    FireWire Ethernet devices are often a subdevice of the actual (PCI)
    controller and thus do not have vendor/device info under /sys/class/net.
    However, we can recognize FireWire devices by their bus type. Having this
    recognition should make it easier for users to identify their "regular"
    Ethernet NIC.

  [ Updated translations ]
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Galician (gl.po) by Jacobo Tarrio
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Thu, 11 Jan 2007 15:17:33 +0100

hw-detect (1.46) unstable; urgency=low

  * Change menu item for ethdetect from 18 to 17 so that ppp-udeb does not
    get skipped.

  [ Updated translations ]
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Thu, 21 Dec 2006 16:24:44 +0100

=== debian/control ===
Source: hw-detect
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Matt Kraai <kraai@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Bdale Garbee <bdale@gag.com>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/hw-detect

Package: hw-detect
XC-Package-Type: udeb
Architecture: any
Depends: rootskel (>= 1.30), archdetect, cdebconf-udeb (>= 0.75), di-utils (>= 1.26)
Description: Detect hardware and load kernel drivers for it

Package: ethdetect
XC-Package-Type: udeb
Architecture: all
Priority: optional
Depends: rootskel (>= 1.30), cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13)
Provides: ethernet-card-detection
XB-Installer-Menu-Item: 17
Description: Detect network hardware and load kernel drivers for it

Package: disk-detect
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13)
Priority: optional
Provides: harddrive-detection
Enhances: hw-detect
XB-Installer-Menu-Item: 35
Description: Detect disk drives

Package: archdetect
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: Hardware architecture detector

## hw-detect 1.58ubuntu2

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,7 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
 
 # Take account of old dpkg-architecture output.
-ifeq ($(DEB_HOST_ARCH_CPU),)
-  DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
-  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
-    DEB_HOST_ARCH_CPU := amd64
-  endif
-endif
 ifeq ($(DEB_HOST_ARCH_OS),)
   DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
   ifeq ($(DEB_HOST_ARCH_OS),gnu)
@@ -17,14 +10,14 @@
 endif
 
 CC = gcc
-CFLAGS = -Wall -O2 -g
-CFLAGS_ARCH = -DARCH=$(DEB_HOST_ARCH) -DCPU=$(DEB_HOST_ARCH_CPU) -DCPU_TEXT='"$(DEB_HOST_ARCH)"' -DSYSTEM=$(DEB_HOST_ARCH_OS)
+CFLAGS = -W -Wall -Os -g
+CFLAGS_ARCH = -DCPU_TEXT='"$(DEB_HOST_ARCH)"'
 
 bindir=$(DESTDIR)/bin/
 hpdir=$(DESTDIR)/etc/hotplug.d
 udevdir=$(DESTDIR)/etc/udev/rules.d
 didir=$(DESTDIR)/lib/debian-installer.d
-pbcdir=$(DESTDIR)/usr/lib/prebaseconfig.d
+fidir=$(DESTDIR)/usr/lib/finish-install.d
 sharedir=$(DESTDIR)/usr/share/hw-detect/
 
 INSTALL=install
@@ -49,8 +42,8 @@
 	$(INSTALL_DATA) net-hotplug.rules $(udevdir)/010_net-hotplug.rules
 	$(INSTALL) -d $(hpdir)/net
 	$(INSTALL) net-hotplug.sh $(hpdir)/net/hw-detect.hotplug
-	$(INSTALL) -d $(pbcdir)
-	$(INSTALL) hw-detect.prebaseconfig $(pbcdir)/30hw-detect
+	$(INSTALL) -d $(fidir)
+	$(INSTALL) hw-detect.finish-install $(fidir)/30hw-detect
 ifeq ($(DEB_HOST_ARCH),powerpc)
 	$(INSTALL) discover-mac-io.sh $(bindir)/discover-mac-io
 	$(INSTALL) discover-ibm.sh $(bindir)/discover-ibm

=== debian/changelog ===
hw-detect (1.58ubuntu2) hardy; urgency=low

  * Add hooks for iSCSI support.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 08 Feb 2008 17:08:44 +0100

hw-detect (1.58ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - Install mouseemu on systems likely to have single-button mice (i.e.
      Macs), but not powerpc64 since that causes an oops in the input layer.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
  * Set Vcs-Bzr for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Nov 2007 14:13:59 +0000

hw-detect (1.58) unstable; urgency=low

  * Install acpi-support-base, needed now to get power button shutdowns to
    work in non-gui environments since acpid dropped that support.

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Nov 2007 21:34:08 -0500

hw-detect (1.57) unstable; urgency=low

  [ Colin Watson ]
  * Discard errors from grepping /sys/bus/pci/devices/*/class, in case
    /sys/bus/pci/devices exists but not the class files.

  [ Frans Pop ]
  * Various code and whitespace cleanups.
  * No longer load isofs by default as it's loaded automatically when mount is
    called with '-t iso9660' which we do both in cdrom-detect and iso-scan.
  * No longer explicitly load ide-core.
  * Stop loading all IDE driver modules by default as they should be loaded
    correctly automatically by the kernel/udev. For now, the old behavior can
    still be forced by booting with hw-detect/load-ide=true.
    The ide-floppy driver module may not be loaded automatically, but
    mountfloppy (0.14) will try to load it when needed.

  [ Updated translations ]
  * Belarusian (be.po) by Hleb Rubanau
  * Esperanto (eo.po) by Serge Leblanc
  * Korean (ko.po) by Sunjae Park
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Tue, 13 Nov 2007 14:06:56 +0100

hw-detect (1.56) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Add missing "fi" in hw-detect.sh.
  * Fix debian-rules-ignores-make-clean-error lintian warning.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 30 Sep 2007 04:20:41 +0200

hw-detect (1.55) unstable; urgency=low

  [ Frans Pop ]
  * Only ask PCMCIA resource question at low priority as we've not seen any
    installation reports mentioning that issue in a long time.

  [ Joey Hess ]
  * Linux 2.6.22 renames the firewire bus and modules from "1394" to
    "firewire". Support the new module names.
  * While eth1394 is not currently being built for 2.6.22, go ahead and modify
    sysfs-update-devnames to recognise ethernet devices that point to
    /sys/bus/firewire as firewire ethernet.

  [ Updated translations ]
  * Bengali (bn.po) by Jamil Ahmed
  * Italian (it.po) by Stefano Canepa
  * Panjabi (pa.po) by A S Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Joey Hess <joeyh@debian.org>  Fri, 28 Sep 2007 19:18:04 -0400

hw-detect (1.54) unstable; urgency=low

  [ Joey Hess ]
  * Remove cruft left over from the days of pcmcia-cs.
    - pcmciautils doesn't create a cardmgr.pid, so stop looking for it to
      determine if pcmcia is started. Look for the pcmcia_core module being
      loaded  instead.
    - No need for funky redirections when running the init script as it no
      longer starts a daemon.
    - /var/run/stab was only produced by pcmcia-cs, so the whole
      gen_pcmcia_devnames section can no longer run; remove.
    - Only modify config.opts in /target if pcmcia_resources is preseeded.
  * Remove workaround for long fixed cdebconf bug.

  [ Frans Pop ]
  * disk-detect: detect Serial ATA RAID disks if requested by setting
    disk-detect/dmraid/enable at the boot prompt. Closes: #405484.
    Thanks to Criss Carr for all the information he has provided, much of
    which has been used in implementing the experimental dmraid support
    available with this release of hw-detect and other components. Also
    thanks to Jérémy Bobbio for his patches and Mark Brown for providing
    a test system.

  [ Updated translations ]
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Russian (ru.po) by Yuri Kozlov

 -- Frans Pop <fjp@debian.org>  Fri, 06 Jul 2007 00:17:19 +0200

hw-detect (1.53ubuntu3) gutsy; urgency=low

  * We now need to use ps3rom and ps3disk rather than ps3_storage.
  * gelic_net was renamed to ps3_gelic.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Sep 2007 14:28:19 +0100

hw-detect (1.53ubuntu2) gutsy; urgency=low

  * Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Sep 2007 21:42:09 +0100

hw-detect (1.53ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - Install mouseemu on systems likely to have single-button mice (i.e.
      Macs), but not powerpc64 since that causes an oops in the input layer.
    - On powerpc/ps3 systems, load ps3_storage and gelic_net and add snd_ps3
      to /etc/modules.

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 11 Jun 2007 10:31:27 -0400

hw-detect (1.53) unstable; urgency=low

  [ Joey Hess ]
  * Install eject on systems that seem to have a CD drive. Previously, it
    was installed by cdrom-detect, only when installing from CD.

  [ Updated translations ]
